<?php
/*
Plugin Name: Show Tags in RSS
Plugin URI: http://tadhg.com/wp/wordpress-plugins/show-tags-in-rss/
Description: Shows the tags for a post at the end of that post in the RSS feed.
Version: 1.0
Author: Tadhg O'Higgins
Author URI: http://tadhg.com/
*/
/*  Copyright 2009 Tadhg O'Higgins  (email : wp-plugins@tadhg.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
function wp_tadhg_show_tags_in_rss($content) {
    /*
    Adds a list of the tags, separated by commas, to the entry for each post
    in the RSS feed.
    Uses the the_content hook and is_feed() instead of the the_content_rss
    hook because of http://core.trac.wordpress.org/ticket/8706
    */
    if (is_feed()) {
        $taglist = get_the_tag_list(sprintf("<p>%s ", __('Tags:')),', ','</p>');
        $content = $content . $taglist;
    }
    return $content;
}
//Hooks:
add_filter('the_content', 'wp_tadhg_show_tags_in_rss', 50);
?>
